For the complete documentation index, see llms.txt. This page is also available as Markdown.

PnL Leaderboard

Ranked leaderboard of Smart Money wallets by PnL over a selected timeframe.

Get Smart Money PnL Leaderboard

post

Retrieve a ranked leaderboard of smart money wallets by profit and loss (PnL) over a selected timeframe.

Each entry includes realized and unrealized PnL, win rate, trade counts, and top token positions.

Authorizations
apikeystringRequired

API key for authentication

Body

Request model for the Smart Money PnL leaderboard endpoint.

timeframeinteger · enumOptional

Timeframe in days. Allowed values: 1, 7, 30, 90, 180.

Default: 7Example: 7Possible values:
filtersany ofOptional

Additional filters to apply.

Example: {"exclude_smart_money_labels":["30D Smart Trader"],"include_smart_money_labels":["Fund","Smart Trader"]}
order_byany ofOptional

Custom sort order. Defaults to total_pnl_usd DESC.

Example: [{"direction":"DESC","field":"total_pnl_usd"}]
Responses
200

Smart money PnL leaderboard data

application/json
post/api/v1/smart-money/pnl-leaderboard
POST /api/v1/smart-money/pnl-leaderboard HTTP/1.1
Host: api.nansen.ai
apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 257

{
  "chains": [
    "ethereum",
    "solana"
  ],
  "timeframe": 7,
  "filters": {
    "exclude_smart_money_labels": [
      "30D Smart Trader"
    ],
    "include_smart_money_labels": [
      "Fund",
      "Smart Trader"
    ]
  },
  "pagination": {
    "page": 1,
    "per_page": 10
  },
  "order_by": [
    {
      "direction": "DESC",
      "field": "total_pnl_usd"
    }
  ]
}
{
  "data": [
    {
      "address": "text",
      "address_label": "text",
      "realized_pnl_usd": 1,
      "unrealized_pnl_usd": 1,
      "total_pnl_usd": 1,
      "avg_trade_roi": 1,
      "roi_percent_unrealised": 1,
      "win_rate": 1,
      "n_trades": 1,
      "n_tokens": 1,
      "open_trades": 1,
      "held_tokens_count": 1,
      "top_traded_tokens_info": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "top_5_balance_tokens_info": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ]
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 10,
    "is_last_page": true
  }
}

Last updated

Was this helpful?